package com.steerinfo.meterwork.meterworkcarmetertime.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.meterwork.meterworkcaractualfirst.model.MeterWorkCarActualFirst;
import com.steerinfo.meterwork.meterworkcarmetertime.model.*;

import java.math.*;
import java.util.HashMap;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.shiro.crypto.hash.Hash;

@Mapper
public interface MeterWorkCarMeterTimeMapper extends IBaseMapper<MeterWorkCarMeterTime, String> {
    List<GroupTimeVo> selectGroupByTime(HashMap meterWorkCarMeterTime);

    List<PointDetailsVo> selectPointDetails(PointDetailsBo pointDetailsBo);
    List<CarMeterTimeAndCarFirst> carMeterTimeAndCarFirstBySpot(HashMap<String, Object> obj);

    List<CarMeterTimeAndCarFirst> getSpotGroupBy(HashMap parmas);

    List<CarMeterTimeAndCarFirst> getCarMeterTimeAndCarFirstCount(HashMap parmas);
}
